# ----------- definition for test programs ----------------------------
include cipher.mk

SSLSRCS = $(SSLDESDIR)/set_key.c $(SSLAESDIR)/aes_core.c

SSLOBJS = $(SSLDESDIR)/set_key.o $(SSLAESDIR)/aes_core.o 

SRCS := $(SSLSRCS) test_key.c 
OBJS := $(SSLOBJS) test_key.o 

CFLAGS = $(SSLCFLAGS)

all: test_key

test_key: $(OBJS)
	gcc -o $@ $(OBJS) 

clean:
	rm -f $(OBJS) test_key *~ core
